import 'package:didvan/config/theme_data.dart';
import 'package:didvan/views/widgets/didvan/text.dart';
import 'package:flutter/material.dart';

class DidvanBadge extends StatelessWidget {
  final String text;
  const DidvanBadge({
    Key? key,
    required this.text,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 24,
      width: 24,
      padding: const EdgeInsets.only(top: 2),
      alignment: Alignment.center,
      decoration: BoxDecoration(
        color: Theme.of(context).colorScheme.secondary,
        shape: BoxShape.circle,
      ),
      child: FittedBox(
        fit: BoxFit.scaleDown,
        child: DidvanText(
          text,
          isEnglishFont: true,
          textAlign: TextAlign.center,
          style: Theme.of(context).textTheme.labelSmall,
          color: Theme.of(context).colorScheme.white,
        ),
      ),
    );
  }
}
